<?php
declare(strict_types=1);

namespace App\Application\Newsletter\SignUp;

use App\Framework\CommandBus\ShouldQueue;

#[ShouldQueue]
final readonly class SignupUserToNewsletter
{
    public function __construct(
        public string $name,
        public string $email,
    ) {}
}
